<?php
require'fun.php';
require'f_admin.php';
$titlu='Adaugă dar';
$back[1]='<a href="/admin-daruri">'.img('cadoul.png',1).'Daruri</a>';
$back[2]='<a href="/admin-adauga-daruri">'.img('administrare.png',1).'Adaugă daruri</a>';
require'f_sus.php';
$nume=$_POST['nume'];
$descriere=$_POST['descriere'];
$pret=$_POST['pret'];
if($nume==''||$descriere==''||$pret<1)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat numele sau descrierea darului, sau ai completat un preț mai mic de <strong>1</strong> lei!'.$div[0];
require'f_jos.php';
}
$dir='img/daruri';
$extensii_acceptate=['gif','jpeg','jpg','png'];
if(isset($_FILES['fisier']))
{
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
$nume_fisier=$_FILES['fisier']['name'];
$extensie=mb_strtolower(pathinfo($nume_fisier)['extension']);
if(!in_array($extensie,$extensii_acceptate))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Fișier ne cunoscut, sper că nu încerci să faci vre-o măgărie!'.$div[0];
require'f_jos.php';
}
$nume_fisier='dar-('.$adresasite[3].')-'.$_SERVER['REQUEST_TIME'].'.'.$extensie;
$itemurl=$dir.'/'.$nume_fisier;
if(file_exists($itemurl))
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Un fișier cu acest nume este adăugat la daruri!<br />Daca stii cu siguranta ca aceasta imagine nu este la adaruri, redenumeste fișierul, și încarcă-l din nou!'.$div[0];
require'f_jos.php';
}
if($_FILES['fisier']['error']!=0)
{
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].[1=>'Fișierul încărcat depășește directiva upload_max_filesize, directivă din php.ini',2=>'Fișierul încărcat depășește limita declarată în formularul html',3=>'Fișierul nu s-a încărcat în totalitate',4=>'Nu a fost încărcat nici un fișier',6=>'Lipsește folderul temporar',7=>'Scrierea fișierului a eșuat',8=>'Această extensie este refuzată de PHP'][$_FILES['fisier']['error']].'!'.$div[0];
require'f_jos.php';
}
copy($_FILES['fisier']['tmp_name'],$itemurl) or die($div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu se poate copia, verifică permisiunile dosarului în care urmează să fie introdus fișierul!'.$div[0]);
if($conn->query('INSERT INTO`daruri`SET`link`="'.$itemurl.'",`nume`="'.$nume.'",`descriere`="'.$descriere.'",`pret`="'.$pret.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Administrare",`de`="'.$de.'",`text`="a adăugat darul numit [b]'.$nume.'[/b], cu descrierea [b]'.$descriere.'[/b], la prețul de [b]'.$pret.'[/b]",`data`="'.$_SERVER['REQUEST_TIME'].'"');
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Darul '.$nume.' a fost adaugat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
echo$div[0].$div[1].'Fisier: '.$nume_fisier.'<br />Link: '.$itemurl.'<br />Mărime fișier: '.round($_FILES['fisier']['size']/1024,1).' KB<br />Format: *.'.$extensie.$div[0];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai selectat nici un fișier!'.$div[0];
require'f_jos.php';